@import "libs/shared/assets/src/global-style/variable";


.mb-10 {
  margin-bottom: 10px;
}

.ant-page-header-heading-title {
  height: 52px;
  display: flex;
  align-items: center;
}

.title-section {
  margin-bottom: 8px;
  color: $label-color;
  font-size: 14px;
  font-family: avertaB, sans-serif;
}

.ant-table-cell {
  padding: 8px;
}

.card {
  margin-top: 1rem;
  border-radius: 8px;
  .title {
    font-weight: 700;
    padding-bottom: 1em;
  }
  .wrap-header-report {
    margin-top: 1rem;
    display: flex;
    justify-content: space-between;
    .wrap-button {
      display: flex;
      gap: 1rem;
      align-items: flex-start;
    }
  }
  .note {
    width: 100%;
    resize: none;
    border-radius: 8px;
    border-color: $border-color;
  }
  .reportCard__uploadBtn {
    margin: 8px 0;
  }
}

.empTable {
  .text-ellipsis {
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }
  .subHeader-title {
    white-space: nowrap;
    width: 150px;
  }
}

.joinDate {
  margin-left: 10px;
}

.my-4 {
  margin: 1rem 0;
}

.logHistory {
  margin-top: 20px;
}

.file {
  color: $bg-primary-default;
  font-weight: 700;
  &:hover {
    text-decoration: underline;
    cursor: pointer;
  }
}

.reasons {
  margin-bottom: 16px;
}

.table-log {
  margin-top: 16px;
  .toggle-log {
    margin-bottom: 10px;
  }
}

::ng-deep .ant-collapse-content-box {
  padding: 0px !important;
}

:host {
  ::ng-deep {
    .ant-checkbox-disabled.ant-checkbox-checked {
      .ant-checkbox-inner {
        background-color: $bg-primary-default;
        border-color: $bg-primary-default !important;

        &::after {
          border-color: $bg-gray-input;
        }
      }
    }
  }
}

.mt-0 {
  margin-top: 0px;
}

.ant-page-header {
  padding: 6px 0;
}

.action-breadcrumb-float-right{
  display: flex;
  position: fixed;
  right: 25px;
  top: 130px;
}

.calendar {
  font-size: 15px;
  margin-left: 0;
}

.effectiveDate {
  margin-left: 10px;
}

.text-label {
  padding: 0;
  color: $text-hover;
  font-weight: 900;
  width: 100%;
  position: absolute;
  margin-top: 13px;
}

.card-header {
  padding-bottom: 40px;
}

.maximumTime {
  width: 20%;
  float: left;
  margin-top: 14px;
}

.typeMaximumTime {
  width: 70%;
  float: right;
}

.deleteIconEmployee {
  font-size: 15px;
  margin-left: 10px;
  cursor: pointer;
}